Bug 504481 - Review Request: rubygem-builder - Provide a simple way to create XML markup and data structures
Review Request: rubygem-builder - Provide a simple way to create XML markup a...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 504479
  Show dependency treegraph
 
Reported: 2009-06-07 07:45 EDT by Lubomir Rintel
Modified: 2009-07-13 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-13 04:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.klepek: fedora‑review+
tibbs: fedora‑cvs-


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-07 07:45:24 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-builder.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-builder-2.1.2-1.fc11.src.rpm

Description:

Builder provides a number of builder objects that make creating structured
data simple to do.
Comment 3 Jan Klepek 2009-06-28 13:56:08 EDT
1] during build following error is shown:
ERROR:  While generating documentation for builder-2.1.2
... MESSAGE:   Unhandled special: Special: type=17, text="<!-- HI -->"

2] rpmlint is complaining
rubygem-builder.noarch: W: file-not-utf8 /usr/lib/ruby/gems/1.8/gems/builder-2.1.2/test/performance.rb
Comment 4 Lubomir Rintel 2009-07-08 13:07:53 EDT
(In reply to comment #3)
> 1] during build following error is shown:
> ERROR:  While generating documentation for builder-2.1.2
> ... MESSAGE:   Unhandled special: Special: type=17, text="<!-- HI -->"

This seems to be just an informational message. There's not much we can to fix that before the gem unpack time, and not much point in doing that after we get the warning.

> 2] rpmlint is complaining
> rubygem-builder.noarch: W: file-not-utf8
> /usr/lib/ruby/gems/1.8/gems/builder-2.1.2/test/performance.rb  

Converted.

SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-builder.spec
SRPM:
http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-builder-2.1.2-4.fc11.src.rpm
Comment 5 Jan Klepek 2009-07-12 05:13:29 EDT
MUST: rpmlint must be run on every package. The output should be posted in the review.
- OK
[wwwnick@kokain result]$ rpmlint rubygem-builder-2.1.2-4.fc10.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

MUST: The package must be named according to the Package Naming Guidelines.
- OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
- OK

MUST: The package must meet the Packaging Guidelines & Ruby specific guidelines
- OK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
- OK

MUST: The License field in the package spec file must match the actual license.
- OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
- OK

MUST: The spec file must be written in American English.
- OK

MUST: The spec file for the package MUST be legible.
- OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. 
- OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
- OK

MUST: If the package does not successfully compile, build or work on an architecture ...
- OK

MUST: All build dependencies must be listed in BuildRequires
- OK

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
- OK

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
- OK

MUST: If the package is designed to be relocatable...
- OK, not relocatable

MUST: A package must own all directories that it creates.
- OK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
- OK

MUST: Permissions on files must be set properly.
- OK

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- OK

MUST: Each package must consistently use macros.
- OK

MUST: The package must contain code, or permissable content.
- OK

MUST: Large documentation files must go in a -doc subpackage.
- OK

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
-

MUST: Header files must be in a -devel package.
- OK, no header files

MUST: Static libraries must be in a -static package.
- OK, no static lib.

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
-

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
- OK

MUST: In the vast majority of cases, devel packages must require the base package 
- OK, no devel

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
- OK, no .la

MUST: Packages containing GUI applications must include a %{name}.desktop file
- OK, no gui

MUST: Packages must not own files or directories already owned by other packages. 
- OK

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- OK

MUST: All filenames in rpm packages must be valid UTF-8.
- OK

Conclusion: Approved
Comment 6 Lubomir Rintel 2009-07-12 10:10:42 EDT
New Package CVS Request
=======================
Package Name:rubygem-builder
Short Description: Provide a simple way to create XML markup and data structures
Owners: lkundrak
Branches: F-11 EL-5
Comment 7 Jason Tibbitts 2009-07-12 13:18:03 EDT
rubygem-builder has been in the distribution for some time now (since F8, at least).

Note You need to log in before you can comment on or make changes to this bug.